| Home | Libraries | People | FAQ | More

#### basic_socket_iostream::error

Get the last error associated with the stream.

    const boost::system::error_code & error() const;

###### Return Value

An `error_code` corresponding to the last error from the stream.

###### Example

To print the error associated with a failure to establish a connection:

    tcp::iostream s("www.boost.org", "http");
    if (!s)
    {
      std::cout << "Error: " << s.error().message() << std::endl;
    }